public static interface DisruptorVmEndpointBuilderFactory.DisruptorVmBuilders
| Modifier and Type | Method and Description |
|---|---|
default DisruptorVmEndpointBuilderFactory.DisruptorVmEndpointBuilder |
disruptorVm(String path)
Disruptor VM (camel-disruptor)
Provides asynchronous SEDA behavior using LMAX Disruptor.
|
default DisruptorVmEndpointBuilderFactory.DisruptorVmEndpointBuilder |
disruptorVm(String componentName,
String path)
Disruptor VM (camel-disruptor)
Provides asynchronous SEDA behavior using LMAX Disruptor.
|
default DisruptorVmEndpointBuilderFactory.DisruptorVmEndpointBuilder disruptorVm(String path)
disruptor-vm:name
Path parameter: name (required)
Name of queuepath - namedefault DisruptorVmEndpointBuilderFactory.DisruptorVmEndpointBuilder disruptorVm(String componentName, String path)
disruptor-vm:name
Path parameter: name (required)
Name of queuecomponentName - to use a custom component name for the endpoint
instead of the default namepath - nameApache Camel